%define pkg_name        SOAP-Lite
%define pkg_version     0.69
%define rpm_pkg_version 0.69
%define rpm_pkg_release 1.n0i.9

Summary:       Simple and lightweight interface to SOAP
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BY/BYRNE/%{pkg_name}-%{pkg_version}.tar.gz
Patch0:        %{name}-service.patch

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(XML::Parser) >= 2.23
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::Harness)}
# core dependencies ONLY!
%{!?_without_test:BuildRequires: perl(XML::Parser) >= 2.23}
%{!?_without_test:BuildRequires: perl(MIME::Base64)}
%{!?_without_test:BuildRequires: perl(URI)}

%global perl_filter_req '(MQSeries|Jabber|Apache|POP3)'
%global perl_filter_prov 'perl\\(My'

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple
and lightweight interface to the Simple Object Access Protocol (SOAP) both
on client and server side.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%patch0 -p0
%{__rm} -rf examples/COM/
%{fix_perl_path examples/}


%build
%{perl_build -- --noprompt}
# no chance to succeed unless all requirements are satisfied
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
find $RPM_BUILD_ROOT%{perl_vendorlib} -name '*.orig' -delete


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%exclude %{perl_vendorlib}/OldDocs
%doc Changes examples/ README ReleaseNotes.txt


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.69-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.69

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.68-1.n0i.8
- version 0.68

* Sun Apr 16 2006 Marius FERARU <altblue@n0i.net> - 0.67-2.n0i.7
- make it really work with "usual" web services:
  + drop "literal = experimental" warning
  + let permissive WSDLs generate proper stubs

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.67-1.n0i.6
- version 0.67

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.60-5.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.60-4.n0i.4
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius FERARU <altblue@n0i.net> 0:0.60-3.n0i.3
- automatic rebuild

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.60-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.60-1.n0i.1
- version 0.60
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
